Update current user profile
curl --request PATCH \
--url https://api.flowxi.app/api/v1/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Jafette",
"last_name": "Fandjinou",
"birth_date": "1999-01-01",
"country": "BJ",
"nationality": "BEN",
"phone_number": "+22900000000"
}
'import requests
url = "https://api.flowxi.app/api/v1/me"
payload = {
"first_name": "Jafette",
"last_name": "Fandjinou",
"birth_date": "1999-01-01",
"country": "BJ",
"nationality": "BEN",
"phone_number": "+22900000000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Jafette',
last_name: 'Fandjinou',
birth_date: '1999-01-01',
country: 'BJ',
nationality: 'BEN',
phone_number: '+22900000000'
})
};
fetch('https://api.flowxi.app/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "ME_UPDATED",
"message": "Profil mis à jour.",
"data": {
"id": 17,
"first_name": "Jafette",
"last_name": "Fandjinou",
"birth_date": "1999-01-01",
"country": "BJ",
"nationality": "BEN",
"phone_number": "+22900000000",
"updated_at": "2026-01-09T17:11:56.000000Z"
}
}{
"code": "UNAUTHENTICATED",
"message": "Unauthenticated."
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed.",
"errors": {
"email": [
"The email field is required."
]
}
}{
"code": "SERVER_ERROR",
"message": "Server error."
}Me
Update current user profile
Updates basic profile fields. country and nationality are normalized to uppercase.
PATCH
/
api
/
v1
/
me
Update current user profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional locale override (fallback is fr if missing/invalid).
Example:
"fr"
Body
application/json
⌘I

